com.holonplatform.datastore.mongo.core.config

## Interface MongoDatastoreCommodityContext<MongoDatabase,S extends com.mongodb.session.ClientSession>

- Type Parameters:
    `MongoDatabase` - Actual MongoDatabase type (sync or async)
    `S` - Concrete ClientSession type
  All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodityContext, com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, MongoContext<S>, MongoDatabaseHandler<MongoDatabase>, MongoOperationContext<MongoDatabase,S>, Serializable
  All Known Subinterfaces:
    AsyncMongoDatastoreCommodityContext, SyncMongoDatastoreCommodityContext
  All Known Implementing Classes:
    AbstractAsyncMongoDatastore, com.holonplatform.datastore.mongo.core.internal.datastore.AbstractMongoDatastore, DefaultAsyncMongoDatastore, DefaultMongoDatastore, DefaultReactiveMongoDatastore

      public interface MongoDatastoreCommodityContext<MongoDatabase,S extends com.mongodb.session.ClientSession>
      extends MongoOperationContext<MongoDatabase,S>, com.holonplatform.core.datastore.DatastoreCommodityContext

  Base MongoDB Datastore `DatastoreCommodityContext`.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreCommodityContext

      `com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityConfigurationException, com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityNotAvailableException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDatabaseName()` Get the MongoDB database name to which the Datastore is bound.

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.context.MongoOperationContext

      `isAsync`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.context.MongoContext

      `getClientSession, getDatabaseCodecRegistry, getDefaultEnumCodecStrategy, getDefaultReadConcern, getDefaultReadPreference, getDefaultWriteConcern, getDocumentIdResolver, toJson, toJson, toJson, trace, trace, trace, trace`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.MongoDatabaseHandler

      `withDatabase, withDatabase`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

- - ### Method Detail

    - #### getDatabaseName

          String getDatabaseName()

      Get the MongoDB database name to which the Datastore is bound.
      Returns:
        MongoDB database name

Copyright © 2019 The Holon Platform. All rights reserved.